Skip to main content

Create a personal question

POST 

/nevisidm/api/core/v1/:clientExtId/personal-questions

Since: 2.79.0

Required permission(s): AccessControl.ClientView,AccessControl.PersonalQuestionCreate

Creates a new personal question for the client with the given external ID.

A personal question defines the security challenge text shown to users during authentication workflows. Both the display name and the question content support multiple languages (EN, DE, FR, IT).

Request

Path Parameters

    clientExtId stringrequired

Body

required
    extId string

    The external ID for the personal question. If omitted, one will be generated automatically.

    description string

    The textual description of the personal question.

    stateName stringrequired

    Possible values: non-empty, [active, disabled, revoked]

    The initial lifecycle state of the personal question.

    displayName object

    Language-dependent display name of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
    content object

    Language-dependent question text of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string

Responses

Personal question created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...